<CsoundSynthesizer>
<CsOptions>
-RWfo toot.wav
</CsOptions>
<CsInstruments>
; Sample frames per second.
sr = 88200
; Number of sample frames per control period.
ksmps = 1
; Number of audio output channels.
nchnls = 2
; Amplitude of 0 decibels full scale (maximum sample amplitude in the audio output).
0dbfs = 32767

; Instrument number one -- very simple.
instr           1
; Pfield 4 contains pitch as MIDI key number.
ikey            =               p4
; Pfield 5 contains loudness as MIDI velocity number.
ivelocity       =               p5
; Translate MIDI key to linear octave.
ioctave         =               ikey / 12 + 3
; Translate linear octave to cycles per second.
ifrequency      =               cpsoct(ioctave)
; Translate MIDI velocity to decibels full scale.
idb             =               ivelocity / 127 * 84
; Translate decibels to output amplitude.
iamplitude      =               ampdb(idb)
; Generate a band-limited sawtooth wave.
aout            vco2            ifrequency, iamplitude
; Send the output to both channels
	        outs            aout, aout
endin
</CsInstruments>
<CsScore>
i 1 1 5 60 100
</CsScore>
</CsoundSynthesizer>