<CsoundSynthesizer>
<CsOptions>
--midi-key=4 --midi-velocity=5
</CsOptions>
<CsInstruments>
sr 		= 		88200
ksmps 		= 		1
nchnls 		= 		2

                massign         1, 6

gisine          ftgen           0, 0, 65537,    10,     1

		instr 		1
ikey 		= 		p4
ivelocity 	= 		p5
ioctave		=		ikey / 12 + 3
idb		=		ivelocity / 127 * 84
ifrequency	=		cpsoct(ioctave)
iamplitude	=		ampdb(idb)
asignal         poscil          iamplitude, ifrequency, gisine
		outs		asignal, asignal
		endin

		instr 		2
ikey 		= 		p4
ivelocity 	= 		p5
ioctave		=		ikey / 12 + 3
idb		=		ivelocity / 127 * 84
ifrequency	=		cpsoct(ioctave)
iamplitude	=		ampdb(idb)
asignal         poscil          iamplitude, ifrequency, gisine
iattack         =               0.0015
irelease        =               0.002
isustain        =               p3
p3              =               iattack + isustain + irelease
adamping        linsegr         0.0, iattack, 1.0, isustain, 1.0, irelease, 0.0
asignal         =               asignal * adamping
                outs		asignal, asignal
                endin

		instr 		3
ikey 		= 		p4
ivelocity 	= 		p5
ioctave		=		ikey / 12 + 3
idb		=		ivelocity / 127 * 84
ifrequency	=		cpsoct(ioctave)
iamplitude	=		ampdb(idb)
ienvattack      =               0.004
ienvdecay       =               0.5
ienvlevel       =               0.25
ienvrelease     =               0.05
aenvelope       mxadsr          ienvattack, ienvdecay, ienvlevel, ienvrelease
asignal         poscil          iamplitude, ifrequency, gisine
asignal         =               asignal * aenvelope
iattack         =               0.0015
irelease        =               0.002
isustain        =               p3
p3              =               iattack + isustain + irelease
adamping        linsegr         0.0, iattack, 1.0, isustain, 1.0, irelease, 0.0
asignal         =               asignal * adamping
                outs		asignal, asignal
                endin

		instr 		4
ikey 		= 		p4
ivelocity 	= 		p5
ioctave		=		ikey / 12 + 3
idb		=		ivelocity / 127 * 84
ifrequency	=		cpsoct(ioctave)
iamplitude	=		ampdb(idb)
ienvattack      =               0.004
ienvdecay       =               0.5
ienvlevel       =               0.25
ienvrelease     =               0.05
aenvelope       mxadsr          ienvattack, ienvdecay, ienvlevel, ienvrelease
amodulator      poscil          800.0, ifrequency * 7.00, gisine
asignal         poscil          iamplitude, ifrequency + amodulator, gisine
asignal         =               asignal * aenvelope
iattack         =               0.0015
irelease        =               0.002
isustain        =               p3
p3              =               iattack + isustain + irelease
adamping        linsegr         0.0, iattack, 1.0, isustain, 1.0, irelease, 0.0
asignal         =               asignal * adamping
                outs		asignal, asignal
                endin
                
		instr 		5
ikey 		= 		p4
ivelocity 	= 		p5
ioctave		=		ikey / 12 + 3
idb		=		ivelocity / 127 * 84
ifrequency	=		cpsoct(ioctave)
iamplitude	=		ampdb(idb)
ienvattack      =               0.004
ienvdecay       =               0.5
ienvlevel       =               0.25
ienvrelease     =               0.05
aenvelope       mxadsr          ienvattack, ienvdecay, ienvlevel, ienvrelease
amodulator      poscil          800.0, ifrequency * 7.00, gisine
asignal         poscil          iamplitude, ifrequency + amodulator * aenvelope, gisine
asignal         =               asignal * aenvelope
iattack         =               0.0015
irelease        =               0.002
isustain        =               p3
p3              =               iattack + isustain + irelease
adamping        linsegr         0.0, iattack, 1.0, isustain, 1.0, irelease, 0.0
asignal         =               asignal * adamping
                outs		asignal, asignal
                endin
                
		instr 		6
                pset            0, 0, 0, 0, 0
ikey 		= 		p4
ivelocity 	= 		p5
ioctave		=		ikey / 12 + 3
idb		=		ivelocity / 127 * 84
ifrequency	=		cpsoct(ioctave)
iamplitude	=		ampdb(idb)
ienvattack      =               0.004
ienvdecay       =               0.5
ienvlevel       =               0.25
ienvrelease     =               0.05
aenvelope       mxadsr          ienvattack, ienvdecay, ienvlevel, ienvrelease
amodulator      poscil          800.0, ifrequency * 7.00, gisine
asignal         poscil          iamplitude, ifrequency + amodulator * aenvelope, gisine
asignal         =               asignal * aenvelope
iattack         =               0.0015
irelease        =               0.002
isustain        =               p3
p3              =               iattack + isustain + irelease
adamping        linsegr         0.0, iattack, 1.0, isustain, 1.0, irelease, 0.0
krtapmod        poscil          0.002, 1.1, gisine, 0
kltapmod        poscil          0.003, 1, gisine, 0.5
adump       	delayr      	1.0                     	
ad1         	deltapi         0.025 + kltapmod                     	
ad2         	deltapi      	0.026 + krtapmod                    	
                delayw      	asignal * adamping                  	
aleft		=		asignal + ad1
aright		=		asignal + ad2
                outs		aleft * adamping, aright * adamping
                endin
</CsInstruments>
<CsScore>
i 1 1   3 60 100
i 2 ^+4 3 60 100
i 3 ^+4 3 60 100
i 4 ^+4 3 60 100
i 5 ^+4 3 60 100
i 6 ^+4 3 60 100
</CsScore>
</CsoundSynthesizer>
